Subject: Re: bug#47678: 27.1; `completion-boundaries` assertion failure for file

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 Apr 2021 18:34:38 -0400

> (Btw, in Vertico I throw out the shadowed paths as soon as I get the
> opportunity (vertico--tidy-shadowed-file) in the same way as Icomplete does
> it if enabled.)

The default completion UI tries pretty hard to avoid all operations that
are specific to a particular backend.  There are still some details
where we do things differently when we know we're completing filenames,
but I consider these to be failures of the API that need to be fixed.

IOW I consider the existence of `vertico--tidy-shadowed-file` as a bug
in itself ;-)

        Stefan